%global bundle org.springframework.build.aws.ivy
Name:          spring-build-aws-ivy
Version:       1.0.9
Release:       %mkrel 1
Summary:       Amazon Web Services Ivy Support
Group:         Development/Java
License:       ASL 2,0
Url:           http://www.springsource.org/
# mkdir -p aws-ivy-1.0.9
# git clone git://git.springsource.org/spring-build/aws-ivy.git
# cd aws-ivy
# git archive master | tar -x -C ../aws-ivy-1.0.9
# cd ..
# tar czf aws-ivy-1.0.9-src-git.tar.gz aws-ivy-1.0.9
Source0:       aws-ivy-1.0.9-src-git.tar.gz
# mkdir -p spring-build-2.8.0
# git clone git://git.springsource.org/spring-build/spring-build.git
# cd spring-build
# git archive 2.8.0 | tar -x -C ../spring-build-2.8.0
# cd ..
# tar czf spring-build-2.8.0-src-git.tar.gz spring-build-2.8.0

Source1:       spring-build-2.8.0-src-git.tar.gz

Source2:       org.springframework.build.aws.ivy.pom

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: apache-commons-codec 
BuildRequires: apache-commons-logging 
BuildRequires: ecj3
BuildRequires: ivy
BuildRequires: jakarta-commons-httpclient
BuildRequires: java-xmlbuilder
BuildRequires: jets3t07
BuildRequires: spring-build-ant

Requires:      apache-commons-codec 
Requires:      apache-commons-logging 
Requires:      ivy
Requires:      jakarta-commons-httpclient
Requires:      jets3t07

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Amazon Web Services Ivy Support.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n aws-ivy-%{version} -a1

for f in $(find . -name "*.jar"); do
 mv $f $f.no
done

rm -rf spring-build
mv spring-build-2.8.0 spring-build
mv spring-build/lib/ivy/org.springframework.build.aws.ivy.jar.no spring-build/lib/ivy/org.springframework.build.aws.ivy.jar

mkdir -p local-repository/repository/org.apache.ant/com.springsource.org.apache.ivy/2.0.0.beta2
ln -sf $(build-classpath ivy) \
  local-repository/repository/org.apache.ant/com.springsource.org.apache.ivy/2.0.0.beta2/com.springsource.org.apache.ivy-2.0.0.beta2.jar
touch local-repository/repository/org.apache.ant/com.springsource.org.apache.ivy/2.0.0.beta2/com.springsource.org.apache.ivy-sources-2.0.0.beta2.jar
touch local-repository/repository/org.apache.ant/com.springsource.org.apache.ivy/2.0.0.beta2/license-2.0.0.beta2.txt
touch local-repository/repository/org.apache.ant/com.springsource.org.apache.ivy/2.0.0.beta2/notice-2.0.0.beta2.txt

mkdir -p local-repository/repository/org.jets3t/com.springsource.org.jets3t/0.7.0
ln -sf $(build-classpath jets3t07) \
  local-repository/repository/org.jets3t/com.springsource.org.jets3t/0.7.0/com.springsource.org.jets3t-0.7.0.jar
touch local-repository/repository/org.jets3t/com.springsource.org.jets3t/0.7.0/license-0.7.0.txt
touch local-repository/repository/org.jets3t/com.springsource.org.jets3t/0.7.0/com.springsource.org.jets3t-sources-0.7.0.jar


mkdir -p local-repository/repository/com.jamesmurty/com.springsource.com.jamesmurty.utils/0.0.1
ln -sf $(build-classpath java-xmlbuilder) \
  local-repository/repository/com.jamesmurty/com.springsource.com.jamesmurty.utils/0.0.1/com.springsource.com.jamesmurty.utils-0.0.1.jar
touch local-repository/repository/com.jamesmurty/com.springsource.com.jamesmurty.utils/0.0.1/com.springsource.com.jamesmurty.utils-sources-0.0.1.jar
touch local-repository/repository/com.jamesmurty/com.springsource.com.jamesmurty.utils/0.0.1/license-0.0.1.txt

mkdir -p local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.httpclient/3.1.0
ln -sf $(build-classpath commons-httpclient) \
  local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.httpclient/3.1.0/com.springsource.org.apache.commons.httpclient-3.1.0.jar
touch local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.httpclient/3.1.0/com.springsource.org.apache.commons.httpclient-sources-3.1.0.jar
touch local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.httpclient/3.1.0/license-3.1.0.txt

mkdir -p local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.codec/1.3.0
ln -sf $(build-classpath commons-codec) \
  local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.codec/1.3.0/com.springsource.org.apache.commons.codec-1.3.0.jar
touch local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.codec/1.3.0/com.springsource.org.apache.commons.codec-sources-1.3.0.jar
touch local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.codec/1.3.0/license-1.3.0.txt

mkdir -p local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.logging/1.1.1
ln -sf $(build-classpath commons-logging) \
  local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.logging/1.1.1/com.springsource.org.apache.commons.logging-1.1.1.jar
touch local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.logging/1.1.1/com.springsource.org.apache.commons.logging-sources-1.1.1.jar
touch local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.logging/1.1.1/license-1.1.1.txt

mkdir -p local-repository/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.6.1
ln -sf $(build-classpath ecj3) \
  local-repository/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.6.1/com.springsource.org.eclipse.jdt.core.compiler.batch-3.6.1.jar
touch local-repository/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.6.1/license-3.6.1.txt
touch local-repository/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.6.1/com.springsource.org.eclipse.jdt.core.compiler.batch-sources-3.6.1.jar

mkdir -p local-repository/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE
touch local-repository/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE/org.springframework.build.ant-sources-1.1.0.RELEASE.jar
ln -sf $(build-classpath spring-build/org.springframework.build.ant) \
  local-repository/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE/org.springframework.build.ant-1.1.0.RELEASE.jar

%build

export CLASSPATH=""
CLASSPATH=${CLASSPATH}:$(build-classpath commons-codec commons-httpclient commons-logging ivy ecj3 jets3t07)
CLASSPATH=${CLASSPATH}:$PWD/spring-build/lib/ivy/org.springframework.build.aws.ivy.jar
export ANT_OPTS="-Xmx768m -XX:MaxPermSize=128m"
export IVY_CACHE=$(pwd)/ivy-cache/repository
export IVY_LOCAL=$(pwd)/local-repository
export ANT_BUILD_OPTS="-Divy.cache.dir=${IVY_LOCAL} -Dlocal.repo.dir=${IVY_LOCAL} -Dtest.halt=false -Dbuild.sysclasspath=first -Djava.awt.headless=true"

(
  cd org.springframework.build.aws.ivy
  %{ant} $ANT_BUILD_OPTS jar
)

rm -rf integration-repo
rm -rf spring-build/lib/ivy/org.springframework.build.aws.ivy.jar
rm -rf org.springframework.build.aws.ivy/target/classes
mv org.springframework.build.aws.ivy/target/artifacts/org.springframework.build.aws.ivy.jar spring-build/lib/ivy/
CLASSPATH=${CLASSPATH}:$PWD/spring-build/lib/ivy/org.springframework.build.aws.ivy.jar

(
  cd org.springframework.build.aws.ivy
  %{ant} $ANT_BUILD_OPTS jar javadoc-all
)

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/spring-build
install -pm 644 %{bundle}/target/artifacts/%{bundle}-sources.jar $RPM_BUILD_ROOT%{_javadir}/spring-build/
install -pm 644 %{bundle}/target/artifacts/%{bundle}.jar $RPM_BUILD_ROOT%{_javadir}/spring-build/

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.spring-build-%{bundle}.pom
sed -i "s|<version>@VERSION@</version>|<version>%{version}</version>|" $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.spring-build-%{bundle}.pom
%add_to_maven_depmap org.springframework.build %{bundle} %{version} JPP/spring-build %{bundle}

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp %{bundle}/target/javadoc-all/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/spring-build/%{bundle}.jar
%{_javadir}/spring-build/%{bundle}-sources.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc license.txt notice.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Nov 28 2011 gil <gil> 1.0.9-1.mga2
+ Revision: 173356
- imported package spring-build-aws-ivy

